Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_DIOP_Connector Class Reference

DIOP-specific Connector bridge for pluggable protocols. More...

`#include <DIOP_Connector.h>`

Inheritance diagram for TAO_DIOP_Connector:

[legend]
Collaboration diagram for TAO_DIOP_Connector:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Connector (CORBA::Boolean flag=0)
| Constructor. More...
| ~TAO_DIOP_Connector (void)
| Destructor. More...
The TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Methods
int | init_tcp_properties (void)
| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>. More...
More TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | set_validate_endpoint (TAO_Endpoint *ep)
int | make_connection (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, ACE_Time_Value *timeout=0)
virtual TAO_Profile * | make_profile (ACE_ENV_SINGLE_ARG_DECL)
## Protected Attributes
TAO_DIOP_Properties | tcp_properties_
| TCP configuration properties to be used for all connections established by this connector. More...
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages? More...
## Private Types
typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | SvcHandlerIterator
## Private Methods
TAO_DIOP_Endpoint * | remote_endpoint (TAO_Endpoint *ep)
| Return the remote endpoint, a helper function. More...
## Private Attributes
ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | svc_handler_table_

## Detailed Description

DIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_DIOP_Connector::SvcHandlerIterator`[private]`

## Constructor & Destructor Documentation

TAO_DIOP_Connector::TAO_DIOP_Connector | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_DIOP_Connector::~TAO_DIOP_Connector | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_DIOP_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_DIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::init_tcp_properties | ( | void |  | ) | `[protected]`

| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.

int TAO_DIOP_Connector::make_connection | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface * | desc,
|  | ACE_Time_Value * | timeout = 0
| ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_DIOP_Connector::make_profile | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

char TAO_DIOP_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Reimplemented from TAO_Connector.

TAO_DIOP_Endpoint * TAO_DIOP_Connector::remote_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[private]`

| Return the remote endpoint, a helper function.

int TAO_DIOP_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

## Member Data Documentation

CORBA::Boolean TAO_DIOP_Connector::lite_flag_`[protected]`

| Do we need to use a GIOP_Lite for sending messages?

ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_DIOP_Connector::svc_handler_table_`[private]`

TAO_DIOP_Properties TAO_DIOP_Connector::tcp_properties_`[protected]`

| TCP configuration properties to be used for all connections established by this connector.

The documentation for this class was generated from the following files:

- DIOP_Connector.h
- DIOP_Connector.cpp